| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__TransVerifyRequest Struct Reference
Translation

Verify Translation request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
unsp__DialedDigits | DialedDigits
| Dialed Digits in DN or Alphanumeric SIP URI format. More...
xsd__boolean * | DigitsComplete
| Indicates whether DialedDigits are complete. More...
unsp__CarrAccessCode | CarrierAccessCode
enum unsp__NatureOfAddress * | NatureOfAddress
| Nature Of Address. More...
struct unsp__TransOrigInfo * | originationInfo
| Originating Party Details. More...
enum unsp__BearerCaps * | IncomingBearerCap
| Originator's Bearer Capability. More...
enum unsp__SignalingType * | IncomingSigType
| Originator's Signaling Type. More...

## Detailed Description

Verify Translation request.

Used by unsp__TranslationVerify()

## Member Data Documentation

## ◆ CarrierAccessCode

unsp__CarrAccessCode unsp__TransVerifyRequest::CarrierAccessCode

Deprecated:
  NA

## ◆ DialedDigits

unsp__DialedDigits unsp__TransVerifyRequest::DialedDigits

Dialed Digits in DN or Alphanumeric SIP URI format.

required: true

See also
  unsp__CFTarget

## ◆ DigitsComplete

xsd__boolean* unsp__TransVerifyRequest::DigitsComplete

Indicates whether DialedDigits are complete.

required: false
default value[range]: NA

## ◆ IncomingBearerCap

enum unsp__BearerCaps* unsp__TransVerifyRequest::IncomingBearerCap

Originator's Bearer Capability.

required: false
default value[range]: CapUnassigned

## ◆ IncomingSigType

enum unsp__SignalingType* unsp__TransVerifyRequest::IncomingSigType

Originator's Signaling Type.

required: false
default value[range]: SigUnassigned

## ◆ InterfaceWSDL

char* unsp__TransVerifyRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ NatureOfAddress

enum unsp__NatureOfAddress* unsp__TransVerifyRequest::NatureOfAddress

Nature Of Address.

required: false
default value[range]: NOA_Unknown

## ◆ OperatorId

char* unsp__TransVerifyRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ originationInfo

struct unsp__TransOrigInfo* unsp__TransVerifyRequest::originationInfo

Originating Party Details.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h